# Method init

[ next ] [ tail ] [ up ]

#### 5.1 Method init

`call p%init(contxt,ptype,info)`

This method allocates and initializes the preconditioner `p`, according to the preconditioner type chosen by the user.

Arguments

`contxt` | `type(psb_ctxt_type), intent(in)`.
| The communication context.
`ptype` | `character(len=*), intent(in)` .
| The type of preconditioner. Its values are specified in Table 1 .
| Note that strings are case insensitive.
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 7 for details.

[ next ] [ front ] [ up ]